﻿Imports System.Data.OleDb
Module modDisplayNotes
    ''The listview is provided as a referenced argument
    Public Sub PopulateListViewFromAccess(ByRef lv As ListView)
        'Create a connection string to the MS Access database.
        'The first version is using the standard JET driver
        'The second version is using the upgraded ACE driver for Access 2007 and above
        'Dim connectionString As String = "Provider=Microsoft.Jet.OLEDB.4.0; Data Source=" & Application.StartupPath & "\mydatabase.mdb; User Id=admin; password=;"
        'Dim connectionString As String = "Provider=Microsoft.ACE.OLEDB.12.0; Data Source=" & Application.StartupPath & "\mydatabase.accdb; Persist Security Info=False;"
        Dim conn As New OleDbConnection("Provider=Microsoft.jet.oledb.4.0;Data Source=|DataDirectory|\PsychologicalStateTracker.mdb")

        'Create a connection to the database
        'Dim conn As New System.Data.OleDb.OleDbConnection(connectionString)
        Dim com As System.Data.OleDb.OleDbCommand
        Dim reader As System.Data.OleDb.OleDbDataReader

        Try
            'Open the connection
            conn.Open()
            'Create a new instance of the command and provide the SELECT query, and the opened connection
            com = New System.Data.OleDb.OleDbCommand("SELECT * FROM tblNotes", conn)
            reader = com.ExecuteReader(CommandBehavior.CloseConnection)

            'Check to see if the SELECT query returned any rows
            If reader.HasRows Then
                'If so, perform a read for each row
                While reader.Read
                    'Declare a new ListViewItem, and provide the information
                    'to be shown in the very first column
                    Dim item As New ListViewItem(reader.Item("fldDate").ToString)

                    'Decare a new ListViewSubItem, and provide the information
                    'to be shown in the second (and so forth) column
                    Dim subItemTime As New ListViewItem.ListViewSubItem()
                    subItemTime.Text = reader.Item("fldTime").ToString

                    Dim subItemThoughts As New ListViewItem.ListViewSubItem()
                    subItemThoughts.Text = reader.Item("fldThoughts").ToString

                    Dim subItemEmotions As New ListViewItem.ListViewSubItem()
                    subItemEmotions.Text = reader.Item("fldEmotions").ToString

                    Dim subItemPhysicalConsequences As New ListViewItem.ListViewSubItem()
                    subItemPhysicalConsequences.Text = reader.Item("fldPhysicalConsequences").ToString

                    Dim subItemScore As New ListViewItem.ListViewSubItem()
                    subItemScore.Text = reader.Item("fldScore").ToString

                    'Add the ListViewSubItem to the ListViewItem
                    item.SubItems.Add(subItemTime)
                    item.SubItems.Add(subItemThoughts)
                    item.SubItems.Add(subItemEmotions)
                    item.SubItems.Add(subItemPhysicalConsequences)
                    item.SubItems.Add(subItemScore)

                    'Add the ListViewItem to the ListView
                    lv.Items.Add(item)

                    'Repeat until all rows have been read
                End While
            End If

            'Close the reader
            reader.Close()
        Catch ex As Exception
            'If something went sideways, make sure that you close the connection
            'before exiting the method.
            If conn.State = ConnectionState.Open Then
                conn.Close()
            End If
        End Try
    End Sub
End Module
